Subject: Re: [TLS] sect571r1

From: "Blumenthal, Uri - 0553 - MITLL" <[email-masked]>
Date: Thu, 16 Jul 2015 00:10:29 +0000

This I absolutely cannot agree. P521 must stay, as part of the supported NIST standard (which BTW we use).

Sent from my BlackBerry 10 smartphone on the Verizon Wireless 4G LTE network.
From: Brian Smith‎
Sent: Wednesday, July 15, 2015 19:40
To: Tony Arcieri‎
Cc: <[email-masked]>
Subject: Re: [TLS] sect571r1
‎
Tony Arcieri <[email-masked]> wrote:
On Wed, Jul 15, 2015 at 2:39 PM, Dave Garrett <[email-masked]> wrote:
It's the most used of the rarely used curves.

I think all "rarely used curves" should be removed from TLS. Specifically, I think it would make sense for TLS to adopt a curve portfolio like this:

- CFRG curves (RECOMMENDED): Curve25519, Ed448-Goldilocks
- NIST curves (SUPPORTED): P-256, P-384, P-521

I agree, except that I think we should get rid of P-521 too.

Cheers,
Brian